Squid 4 EL6 RPMs

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Squid 4 EL6 RPMs

djch
Hello all,

I'm wondering if anyone can point to a Squid 4 RPM package for CentOS / RHEL 6.

I've had a search around, but it seems people are only packaging it for EL7.

I did try compiling an EL6 RPM myself, based on an EL7 source RPM, but I'm not adept in this area and couldn't get past certain unfamiliar errors.

Any advice welcome!

Best,
Dan

_______________________________________________
squid-users mailing list
[hidden email]
http://lists.squid-cache.org/listinfo/squid-users
Reply | Threaded
Open this post in threaded view
|

Re: Squid 4 EL6 RPMs

Amos Jeffries
Administrator
On 22/03/18 11:34, Dan Charlesworth wrote:
> Hello all,
>
> I'm wondering if anyone can point to a Squid 4 RPM package for CentOS /
> RHEL 6.
>

IIRC it is not a simple proposition. Squid-4 requires minimum compiler
versions that are not available in those ancient OS. It is often a
simpler proposition to upgrade to RHEL 7+ than to selectively upgrade
the core system libraries for C++11 support and rebuild all the things
using them.


> I've had a search around, but it seems people are only packaging it for EL7.
>
> I did try compiling an EL6 RPM myself, based on an EL7 source RPM, but
> I'm not adept in this area and couldn't get past certain unfamiliar errors.
>

Are you using the system default compiler or something much newer?


Amos
_______________________________________________
squid-users mailing list
[hidden email]
http://lists.squid-cache.org/listinfo/squid-users